<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <title>503.10</title>
</head>

<body>
    <div class="container m-5">
        <button type="button" class="btn btn-primary" onclick="callApiToGetAllOrders()">Call api to get all
            orders!</button>
        <button type="button" class="btn btn-secondary" onclick="callApiToCreateOrder()">Call api to create
            order!</button>
        <button type="button" class="btn btn-success" onclick="callApiToGetOrderById()">Call api to get order by
            id</button>
        <button type="button" class="btn btn-danger" onclick="callApiToUpdateOrder()">Call api update order!</button>
        <button type="button" class="btn btn-warning" onclick="callApiToCheckVoucherById()">Call api check voucher by
            id!</button>
        <button type="button" class="btn btn-info" onclick="callApiToGetDrinkList()">Call api Get drink list!</button>
    </div>
</body>
<script>
    const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";

    function fetchAPI(url, options) {
        fetch(url, options)
            .then((res) => {
                return res.json()
            })
            .then((data) => {
                console.log(data)
            })
            .catch((error) => {
                console.error(error)
            })

    }
    function callApiToGetAllOrders() {
        fetchAPI(vBASE_URL, {
            method: "GET"
        })
    };

    function callApiToCreateOrder() {
        fetchAPI(vBASE_URL, {
            method: "POST",
            headers: {
                'Content-type': "application/json"
            },
            body: JSON.stringify({
                kichCo: "M",
                duongKinh: "35",
                suon: "6",
                salad: "300",
                loaiPizza: "HAWAII",
                idVourcher: "16512",
                idLoaiNuocUong: "PEPSI",
                soLuongNuoc: "3",
                hoTen: "Phạm Thanh Bình",
                thanhTien: "200000",
                email: "binhpt001@devcamp.edu.vn",
                soDienThoai: "0865241654",
                diaChi: "Hà Nội",
                loiNhan: "Pizza đế dày"
            })

        })
    };

    function callApiToGetOrderById() {
        fetchAPI(vBASE_URL + "/I3HhdTatOz", {
            method: "GET"
        })
    };

    function callApiToUpdateOrder() {
        fetchAPI(vBASE_URL + "/180192", {
            method: "PUT",
            headers: {
                'Content-type': "application/json"
            },
            body: JSON.stringify({
                kichCo: "M",
                duongKinh: "35",
                suon: "6",
                salad: "300",
                loaiPizza: "HAWAII",
                idVourcher: "16512",
                idLoaiNuocUong: "PEPSI",
                soLuongNuoc: "3",
                hoTen: "Phạm Thanh Bình",
                thanhTien: "200000",
                email: "binhpt001@devcamp.edu.vn",
                soDienThoai: "0865241654",
                diaChi: "Sài Gòn",
                loiNhan: "Pizza đế phô mai"
            })

        })
    };
    function callApiToCheckVoucherById() {
        fetchAPI("http://203.171.20.210:8080/devcamp-pizza365/" + "/voucher_detail/16512", {
            method: "GET"
        })
    }

    function callApiToGetDrinkList() {
        fetchAPI("http://203.171.20.210:8080/devcamp-pizza365/" + "/drinks", {
            method: "GET"
        })
    }

</script>

</html>